[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.Client

TCustomTaskDialog where the button is used.

## Declaration

Source position: dialogs.pp line 639

`protected property TTaskDialogBaseButtonItem.Client : TCustomTaskDialog read FClient;`

## Description

Client is a read-only TCustomTaskDialog property with the dialog where the button is used. Its value is set to the Task dialog that is the owner of the collection where the button definition is stored.

## See also

TTaskDialogBaseButtonItem.Create |  | Constructor for the class instance.
TCollection.Owner